uint16_t prumer(int8_t j)
{uint8_t i;int32_t p=0;
for(i=0;i<8;i++)
{if (j<0) j=HODNOT-1+j;
p+=senzor[j];
j--;
}
return p/8;
}

int16_t derivace(int8_t j)
{
return (int16_t)prumer(j)-(int16_t)prumer(j-Vderzpoz-1);
}
